Pixelcero prestashop tiendas onlines

Migración de prestashop 1.6 a 1.7

  • 02/12/2018

Migración de prestashop 1.6 a 1.7

La tan famosa versión de prestashop 1.7 llegó hasta nosotros hace ya unos meses. Sin embargo a más de uno ha traído de cabeza la migración de prestashop 1.6 a 1.7 de este software de tiendas online.

Prestashop incluye de serie el módulo upgrade one-click que debería permitir actualizar nuestro prestashop a la versión posterior.

one click upgrade

Sin embargo este módulo falla. Y mucho. Al parecer los chicos de prestashop no han conseguido afinarlo y dejarlo en condiciones para poder hacer la migración de prestashop 1.6 a 1.7 sin problemas. Hace unos meses sacaron un intento BETA de un actualizador, pero supongo que el que lo probó debió hacerlo con una versión muy básica de una tienda porque a poco que lo fuerces, falla.

Varios de nuestros clientes necesitaban actualizar a la nueva versión. No por que la 1.6 no funcione correctamente, si no porque deseaban cambiar el diseño de sus tiendas online y los diseños elegidos eran compatibles con la versión 1.7. Otros necesitaban de módulos o mejoras que sólo erán posibles con la nueva versión.

Así pues nos vimos en la necesidad de inventar algo. Y ese algo fue una migración de la base de datos.

A fecha de hoy es la única solución posible para una migración de prestashop 1.6 a 1.7. Crear una nueva tienda online con la versión 1.7 de prestashop y migrar productos, pedidos y configuraciones desde una base de datos a la otra. Para ello hemos necesitado de programar un script que realizase dicha labor. Pero ha valido la pena; nuestros clientes ya disfrutan del 1.7 en sus tiendas online.

Solucionado.

  1. Carlos

    04 Dic 2018 - 5:24 pm

    Con las subversiones de prestashop si que funciona la actualización….

  2. admin

    04 Dic 2018 - 5:31 pm

    Efectivamente, si quieres pasar de la 1.7.1 a la 1.7.2 puedes hacerlo sin problemas con el módulo nativo de prestashop. Sin embargo el problema viene cuando quieres pasar de la 1.6 a la 1.7. Es en ese caso cuando tienes programar dicho script.

Escribir un comentario